public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sys-block/megarc/
@ 2016-02-09 18:05 Robin H. Johnson
  0 siblings, 0 replies; 4+ messages in thread
From: Robin H. Johnson @ 2016-02-09 18:05 UTC (permalink / raw
  To: gentoo-commits

commit:     d68e21c3ab604be5da0254799129f0bd0aa730fc
Author:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Tue Feb  9 01:23:16 2016 +0000
Commit:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Tue Feb  9 18:05:51 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d68e21c3

sys-block/megarc: fixup for LSI->Avagotech company change.

Fixes bug #439116, #400927,# 561200.
Avagotech now includes download pages that do not require a
click-through EULA; revbump as the zipfile has changed from upstream.

Package-Manager: portage-2.2.27
Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>

 sys-block/megarc/Manifest              |  3 +-
 sys-block/megarc/megarc-1.11-r1.ebuild | 44 --------------------------
 sys-block/megarc/megarc-1.11-r2.ebuild | 56 ++++++++++++++++++++++++++++++++++
 sys-block/megarc/metadata.xml          |  5 +++
 4 files changed, 63 insertions(+), 45 deletions(-)

diff --git a/sys-block/megarc/Manifest b/sys-block/megarc/Manifest
index 8100bbb..e429f91 100644
--- a/sys-block/megarc/Manifest
+++ b/sys-block/megarc/Manifest
@@ -1 +1,2 @@
-DIST ut_linux_megarc_1.11.zip 281955 SHA256 dda709b6292afb4cc2a2e2421bd13e291b98393b98160515ff68e1ee37104d1f SHA512 19271385991168053ab62121a26f35136d634826e84b5d7f4b451f9dac3e050c6be4bde6588467fbc843bd91287a8bd3b25c686ed7323e6006fd9035f9db43e3 WHIRLPOOL c706b36105749a273d41681390f3681d4f5545ffc3d1b5a9c60f61cc16bbe45dc43e6d66525f0d76fdbef947f2d06dc4ee0648142ad136bafd31808ee2b89c88
+DIST README_FOR_ut_linux_megarc_1-11-zip.txt 3512 SHA256 5107792aae98da508e089e1d4a30e86846597db4b3decba9561819ae44eec87b SHA512 8ee63fad41875442e158b72a82fafe1ed15e00fd47bed2ff1f4f37f4bd6685eccfcd361294a2694a23c4d53d024d9488d5272ba5352685f346b7722ae7cff694 WHIRLPOOL 845b271fed955106394dafffbdb0f6db5d5fa019e9ce31c19e4141c017bab6746ab8dd5ee697f1ae784cced7b4c267a534b0148fbd3207ea3f3b882e0aedeb78
+DIST ut_linux_megarc_1-11.zip 301703 SHA256 bba008e40c66b74a87e3ecf3c068d35ae8f464c332635400096cbb856c33eb4b SHA512 9f79ad0c0bb05b9fd9044d66551da0ac95485ddd8ed3a37f1bdb064db80c97897f904150418e93b66783e86bc3ccb2ec1eca9bac7a5dd25bb03cd4414b8389b7 WHIRLPOOL aad56cf485da49fa25f751c3ed848bce512e78165dc8f21f3913254f55397789a0ede8934e44a9ae297cd2194496a1792b1ae9a6f0acaa52d1fce937a7d68f46

diff --git a/sys-block/megarc/megarc-1.11-r1.ebuild b/sys-block/megarc/megarc-1.11-r1.ebuild
deleted file mode 100644
index 8a709ae..0000000
--- a/sys-block/megarc/megarc-1.11-r1.ebuild
+++ /dev/null
@@ -1,44 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="3"
-
-inherit multilib
-
-DESCRIPTION="LSI Logic MegaRAID Text User Interface management tool"
-HOMEPAGE="http://www.lsi.com"
-SRC_URI="http://www.lsi.com/downloads/Public/MegaRAID%20Common%20Files/ut_linux_${PN}_${PV}.zip"
-
-LICENSE="LSI"
-SLOT="0"
-# This package can never enter stable, it can't be mirrored and upstream
-# can remove the distfiles from their mirror anytime.
-KEYWORDS="~amd64 ~x86"
-IUSE="doc"
-
-DEPEND="app-arch/unzip
-	doc? ( app-text/antiword )"
-RDEPEND=""
-
-RESTRICT="mirror"
-
-S="${WORKDIR}"
-
-QA_PRESTRIPPED="/opt/bin/megarc"
-
-pkg_setup() {
-	use amd64 && { has_multilib_profile || die "needs multilib profile on amd64"; }
-}
-
-src_compile() {
-	use doc && antiword ut_linux.doc > ${PN}-manual.txt
-}
-
-src_install() {
-	use doc && dodoc ${PN}-manual.txt
-	newdoc ut_linux_${PN}_${PV}.txt ${PN}-release-${PV}.txt
-
-	exeinto /opt/bin
-	newexe megarc.bin megarc || die
-}

diff --git a/sys-block/megarc/megarc-1.11-r2.ebuild b/sys-block/megarc/megarc-1.11-r2.ebuild
new file mode 100644
index 0000000..3639a02
--- /dev/null
+++ b/sys-block/megarc/megarc-1.11-r2.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit multilib
+
+MY_PN="ut_linux_megarc"
+MY_PV="${PV//./-}"
+MY_P="${MY_PN}_${MY_PV}"
+
+DESCRIPTION="LSI Logic MegaRAID Text User Interface management tool"
+# Previous releases from LSI directly required a click-through EULA; but the
+# upstream website no longer requires this consistently: most old files have
+# two or more download pages, and while one of the pages has a generic
+# click-through download form, the file-specific download page only requires
+# click-through on some items. See also sys-block/lsiutil, sys-block/megarc
+HOMEPAGE="http://www.avagotech.com/cs/Satellite?q=megacli&pagename=AVG2%2FsearchLayout&locale=avg_en&within=megacli&Search=megarc&srch-radio=new&Submit=Search"
+SRC_URI="
+	http://www.avagotech.com/docs-and-downloads/legacy-raid-controllers/legacy-raid-controllers-common-files/${MY_P}.zip
+	http://www.avagotech.com/docs-and-downloads/raid-controllers/raid-controllers-common-files/README_FOR_${MY_P}-zip.txt"
+
+LICENSE="LSI"
+SLOT="0"
+# This package can never enter stable, it can't be mirrored and upstream
+# can remove the distfiles from their mirror anytime.
+KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+
+DEPEND="app-arch/unzip
+	doc? ( app-text/antiword )"
+RDEPEND=""
+
+RESTRICT="mirror bindist"
+
+S="${WORKDIR}"
+
+QA_PREBUILT="/opt/bin/megarc"
+
+pkg_setup() {
+	use amd64 && { has_multilib_profile || die "needs multilib profile on amd64"; }
+}
+
+src_compile() {
+	use doc && antiword ut_linux.doc > ${PN}-manual.txt
+}
+
+src_install() {
+	use doc && dodoc ${PN}-manual.txt
+	newdoc ut_linux_${PN}_${PV}.txt ${PN}-release-${PV}.txt
+	newdoc "${DISTDIR}"/README_FOR_${MY_P}-zip.txt README
+
+	exeinto /opt/bin
+	newexe megarc.bin megarc || die
+}

diff --git a/sys-block/megarc/metadata.xml b/sys-block/megarc/metadata.xml
index 5840601..f6bfbb9 100644
--- a/sys-block/megarc/metadata.xml
+++ b/sys-block/megarc/metadata.xml
@@ -1,6 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
+	<!-- used by infra, please do not non-maintainer drop -->
+	<maintainer type="project">
+		<email>sysadmin@gentoo.org</email>
+		<name>Gentoo Sysadmin Project</name>
+	</maintainer>
 	<maintainer type="person">
 		<email>idl0r@gentoo.org</email>
 		<name>Christian Ruppert</name>


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-block/megarc/
@ 2017-01-06 12:25 Christian Ruppert
  0 siblings, 0 replies; 4+ messages in thread
From: Christian Ruppert @ 2017-01-06 12:25 UTC (permalink / raw
  To: gentoo-commits

commit:     12ba3beb82e01308a25f084df07ebba94690c968
Author:     Christian Ruppert <idl0r <AT> gentoo <DOT> org>
AuthorDate: Fri Jan  6 12:10:46 2017 +0000
Commit:     Christian Ruppert <idl0r <AT> gentoo <DOT> org>
CommitDate: Fri Jan  6 12:25:48 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=12ba3beb

sys-block/megarc: Remove myself as maintainer

Package-Manager: portage-2.3.2

 sys-block/megarc/metadata.xml | 4 ----
 1 file changed, 4 deletions(-)

diff --git a/sys-block/megarc/metadata.xml b/sys-block/megarc/metadata.xml
index f6bfbb9..3883008 100644
--- a/sys-block/megarc/metadata.xml
+++ b/sys-block/megarc/metadata.xml
@@ -6,8 +6,4 @@
 		<email>sysadmin@gentoo.org</email>
 		<name>Gentoo Sysadmin Project</name>
 	</maintainer>
-	<maintainer type="person">
-		<email>idl0r@gentoo.org</email>
-		<name>Christian Ruppert</name>
-	</maintainer>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-block/megarc/
@ 2022-03-19 18:07 Robin H. Johnson
  0 siblings, 0 replies; 4+ messages in thread
From: Robin H. Johnson @ 2022-03-19 18:07 UTC (permalink / raw
  To: gentoo-commits

commit:     194ddc409b5b349e81d0d8f72d41f608910f57d5
Author:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 19 18:07:16 2022 +0000
Commit:     Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Sat Mar 19 18:07:51 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=194ddc40

sys-block/megarc: bump EAPI to show it works, avoid upstream URL redirect

Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>
Closes: https://bugs.gentoo.org/689770

 sys-block/megarc/{megarc-1.11-r2.ebuild => megarc-1.11-r3.ebuild} | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/sys-block/megarc/megarc-1.11-r2.ebuild b/sys-block/megarc/megarc-1.11-r3.ebuild
similarity index 82%
rename from sys-block/megarc/megarc-1.11-r2.ebuild
rename to sys-block/megarc/megarc-1.11-r3.ebuild
index 86004d9903f9..096122d4a4f7 100644
--- a/sys-block/megarc/megarc-1.11-r2.ebuild
+++ b/sys-block/megarc/megarc-1.11-r3.ebuild
@@ -1,7 +1,7 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI="5"
+EAPI="8"
 
 inherit multilib
 
@@ -15,10 +15,11 @@ DESCRIPTION="LSI Logic MegaRAID Text User Interface management tool"
 # two or more download pages, and while one of the pages has a generic
 # click-through download form, the file-specific download page only requires
 # click-through on some items. See also sys-block/lsiutil, sys-block/megarc
+# 2022/03/19: robbat2 confirms the SRC_URI links work AND the files have not changed upstream
 HOMEPAGE="http://www.avagotech.com/cs/Satellite?q=megacli&pagename=AVG2%2FsearchLayout&locale=avg_en&within=megacli&Search=megarc&srch-radio=new&Submit=Search"
 SRC_URI="
-	http://www.avagotech.com/docs-and-downloads/legacy-raid-controllers/legacy-raid-controllers-common-files/${MY_P}.zip
-	http://www.avagotech.com/docs-and-downloads/raid-controllers/raid-controllers-common-files/README_FOR_${MY_P}-zip.txt"
+	https://docs.broadcom.com/docs-and-downloads/raid-controllers/raid-controllers-common-files/${MY_P}.zip
+	https://docs.broadcom.com/docs-and-downloads/raid-controllers/raid-controllers-common-files/README_FOR_${MY_P}-zip.txt"
 
 LICENSE="LSI"
 SLOT="0"


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-block/megarc/
@ 2022-04-03 18:51 David Seifert
  0 siblings, 0 replies; 4+ messages in thread
From: David Seifert @ 2022-04-03 18:51 UTC (permalink / raw
  To: gentoo-commits

commit:     1a9044ecdc82f45941dc2bbec3a30b4555e20233
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Apr  3 18:51:01 2022 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Apr  3 18:51:01 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1a9044ec

sys-block/megarc: do not require multilib profile

Closes: https://bugs.gentoo.org/672324
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sys-block/megarc/megarc-1.11-r3.ebuild | 24 +++++++++---------------
 1 file changed, 9 insertions(+), 15 deletions(-)

diff --git a/sys-block/megarc/megarc-1.11-r3.ebuild b/sys-block/megarc/megarc-1.11-r3.ebuild
index 096122d4a4f7..a352a738c3d0 100644
--- a/sys-block/megarc/megarc-1.11-r3.ebuild
+++ b/sys-block/megarc/megarc-1.11-r3.ebuild
@@ -1,9 +1,7 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI="8"
-
-inherit multilib
+EAPI=8
 
 MY_PN="ut_linux_megarc"
 MY_PV="${PV//./-}"
@@ -20,6 +18,7 @@ HOMEPAGE="http://www.avagotech.com/cs/Satellite?q=megacli&pagename=AVG2%2Fsearch
 SRC_URI="
 	https://docs.broadcom.com/docs-and-downloads/raid-controllers/raid-controllers-common-files/${MY_P}.zip
 	https://docs.broadcom.com/docs-and-downloads/raid-controllers/raid-controllers-common-files/README_FOR_${MY_P}-zip.txt"
+S="${WORKDIR}"
 
 LICENSE="LSI"
 SLOT="0"
@@ -27,23 +26,18 @@ SLOT="0"
 # can remove the distfiles from their mirror anytime.
 KEYWORDS="~amd64 ~x86"
 IUSE="doc"
-
-DEPEND="app-arch/unzip
-	doc? ( app-text/antiword )"
-RDEPEND=""
-
 RESTRICT="mirror bindist"
 
-S="${WORKDIR}"
+BDEPEND="
+	app-arch/unzip
+	doc? ( app-text/antiword )"
 
 QA_PREBUILT="/opt/bin/megarc"
 
-pkg_setup() {
-	use amd64 && { has_multilib_profile || die "needs multilib profile on amd64"; }
-}
-
 src_compile() {
-	use doc && antiword ut_linux.doc > ${PN}-manual.txt
+	if use doc; then
+		antiword ut_linux.doc > ${PN}-manual.txt || die
+	fi
 }
 
 src_install() {


^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2022-04-03 18:51 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-04-03 18:51 [gentoo-commits] repo/gentoo:master commit in: sys-block/megarc/ David Seifert
  -- strict thread matches above, loose matches on Subject: below --
2022-03-19 18:07 Robin H. Johnson
2017-01-06 12:25 Christian Ruppert
2016-02-09 18:05 Robin H. Johnson

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox